✨ Create workspace
Create a new workspace. Workspaces in Label Studio let you organize your projects and users into separate spaces. This is useful for managing different teams, departments, or projects within your organization. For more information, see the Workspaces documentation.
Authentication
AuthorizationToken
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:
curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”Request
This endpoint expects an object.
title
Workspace Name
color
Color
description
Workspace description
is_archived
Workspace is archived
is_personal
Workspace is a personal user workspace
Response
created_by
created_by_user
Return created_by user details when include_all_workspaces is enabled.
id
interfaces_count
Saved interfaces in the workspace. A workspace with interfaces cannot be deleted.
membership
projects_count
title
Workspace Name
color
Color
description
Workspace description
is_archived
Workspace is archived
is_personal
Workspace is a personal user workspace